Subject: Ticket Assigned - My Account
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 13 Nov 2021 03:49:14 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account Hi
Unfortunately i had very bad experience last night. I was in the middle of placing an order and while making online payment, mistakenly added wrong CVV nmbr.. after that i recieved sms notification from Max that payment is not done and at the same time received notification from Bank that Aed 140 is debited to Landmark Retail, even though order was not placed.
I spoke to cx care agent n he asked me to provide reference nmber, now i called cx care n he asked to drop an email. I mean what the agents are doing who are not able to confirm the exact process.
Payment Transaction Reference Nmbr #702660
Payment deducted against Landmark Retail Aed 140
No order is placed no confirmation email recieved for order.

Kindly check n return the deducted amount ASAP https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3337076